---
title: GET Web Statistics
url: https://www.tines.com/docs/api/info/web-stats/
updated: 2025-03-06T15:16:45+00:00
description: Retrieve operational information about your web server.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Info](https://www.tines.com/llm/docs/api/info.md)*

# GET Web Statistics

*[View on tines.com](https://www.tines.com/docs/api/info/web-stats/)*

## Description

Retrieve operational information about your web server.

If you are running multiple tines-web containers then this will only reflect the stats for the container that handled this request. If you are using a load balancer this would be an arbitrary container unless you made the request from within the container's network.

**Note:** This endpoint is accessible only to self-hosted customers.

## Request

HTTP Method: **GET**

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/info/web_stats \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object containing information about Puma web server status.

See https://puma.io/puma/file.stats.html for details.

### Sample Response

```json
{
  "started_at": "2025-03-06T10:10:14Z",
  "backlog": 0,
  "running": 16,
  "pool_capacity": 15,
  "busy_threads": 1,
  "max_threads": 16,
  "requests_count": 2057,
  "versions": {
    "puma": "6.6.0",
    "ruby": { "engine": "ruby", "version": "3.4.2", "patchlevel": 28 }
  }
}
```
